select
  an.numero as "Nmero"
  , s.nome as "Setor"
  , an.dtbaixa as "Data de baixa"
  , gr.descricao as "Grupo Repasse"
  , gr.dtinicio as "Incio do GR"
  , gr.dtfim as "Fim do GR"
  , es.descricao as "Estao de monta"
  , es.dtinicio as "Data de incio da EM"
  , es.dtfim as "Data de fim da EM"
  , tou.numero as "Touro_repasse"
from
  animal an
  join setor s on s.cdsetor = an.cdsetor
  join gruporepasseanimal ga on ga.cdanimal = an.cdanimal
  join gruporepasse gr on gr.cdgruporepasse = ga.cdgruporepasse
  left join estacao es on
    ((gr.dtinicio >= es.dtinicio and gr.dtinicio <= es.dtfim)
      or (gr.dtfim >= es.dtinicio and gr.dtfim <= es.dtfim))
    and es.cdestacao in (select re.cdestacao
                        from estacaoanimal re
                        where re.cdanimal = ga.cdanimal)
  join gruporepassetouro grt on grt.cdgruporepasse = ga.cdgruporepasse
  join animal tou on tou.cdanimal = grt.cdanimal
where
-- Filtro pela data de inicio do repasse, inserir data no formato 'aaaa-mm-dd'
  gr.dtinicio between '1900-01-01' and '2200-12-31'
